### Method

# Vte Terminal hyperlink_check_event

since: 0.50

#### Declaration [src]

    char*
    vte_terminal_hyperlink_check_event (
      VteTerminal* terminal,
      GdkEvent* event
    )

#### Description [src]

Returns a nonempty string: the target of the explicit hyperlink (printed using the OSC 8 escape sequence) at the position of the event, or `NULL`.

Proper use of the escape sequence should result in URI-encoded URIs with a proper scheme like “http://”, “https://”, “file://”, “mailto:” etc. This is, however, not enforced by VTE. The caller must tolerate the returned string potentially not being a valid URI.

Available since: 0.50

#### Parameters

`event`

  Type: `GdkEvent`

  A `GdkEvent`.

  The data is owned by the caller of the method.

#### Return value

Type: `char*`

A newly allocated string containing the target of the hyperlink, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.